import { JSX } from 'preact';
export declare type Handler<T> = (e: T) => void;
export declare type AnimationEvent<T extends EventTarget = HTMLElement> = JSX.TargetedAnimationEvent<T>;
export declare type ClipboardEvent<T extends EventTarget = HTMLElement> = JSX.TargetedClipboardEvent<T>;
export declare type CompositionEvent<T extends EventTarget = HTMLElement> = JSX.TargetedCompositionEvent<T>;
export declare type DragEvent<T extends EventTarget = HTMLElement> = JSX.TargetedDragEvent<T>;
export declare type FocusEvent<T extends EventTarget = HTMLElement> = JSX.TargetedFocusEvent<T>;
export declare type KeyboardEvent<T extends EventTarget = HTMLElement> = JSX.TargetedKeyboardEvent<T>;
export declare type MouseEvent<T extends EventTarget = HTMLElement> = JSX.TargetedMouseEvent<T>;
export declare type PointerEvent<T extends EventTarget = HTMLElement> = JSX.TargetedPointerEvent<T>;
export declare type TouchEvent<T extends EventTarget = HTMLElement> = JSX.TargetedTouchEvent<T>;
export declare type TransitionEvent<T extends EventTarget = HTMLElement> = JSX.TargetedTransitionEvent<T>;
export declare type UIEvent<T extends EventTarget = HTMLElement> = JSX.TargetedUIEvent<T>;
export declare type WheelEvent<T extends EventTarget = HTMLElement> = JSX.TargetedWheelEvent<T>;
//# sourceMappingURL=events.d.ts.map