import { Observable } from 'rxjs';
export declare type UnfoldObservablesFromObject<T> = {
    [K in keyof T]: T[K] extends Observable<infer U> ? U : T[K];
};
export declare type UnfoldObservable<T> = T extends Observable<infer U> ? U : UnfoldObservablesFromObject<T>;
//# sourceMappingURL=util.d.ts.map